Create customerCopy Pagepost https://api.instellix.io/v2/customersA new customer can be created together with their addresses (at least one) and properties (optional). The ident is required and must be unique.Query ParamsslimResponsebooleanDefaults to falseIf set to true, the response objects will be smaller and not contain nested collection fields, i.e. Addresses.truefalseBody ParamsThe representation of a customer. Customers are assigned addresses and properties. Other objects are linked to the customer via the unique ident, which can be an external reference such as a customer number.addressesarray of objectsrequiredlength ≥ 1The addresses of the customer. Must not be empty.addresses* objectAn address create request that is assigned to a specific debtorId. Can be of addressType INVOICE or SHIPPING.academicTitlestring | nullSize must be between 0 and 255.addressAdditionstring | nullOptional additional address information. Size must be between 0 and 255.addressIdentstring | nullUnique external reference. If not provided NBX will auto generate a UUID. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.addressTypestringrequiredCannot be amended after the initial POST. Must not be null. Must be one of: INVOICESHIPPINGagencyProfessionTitlestring | nullAgency Profession Title. Size must be between 0 and 255.citystring | nullCity. Size must be between 0 and 255.companystring | nullCompany name. Size must be between 0 and 255.countrystringrequiredCountry code for country of address. Uses Alpha-2 or Alpha3 code (ISO 3166): https://www.iban.com/country-codes. Must not be null.departmentstring | nullDepartment within a company. Size must be between 0 and 255.eInvoicingParametersobject | nullProvides information needed to handle e-invoicing.eInvoicingParameters object | nullemailstring | nullRecipient's email. It becomes mandatory for addresses of addressType INVOICE and preferredDocumentDelivery EMAIL. Size must be between 0 and 255.firstnamestring | nullFirst name of recipient. Size must be between 0 and 255.genderstring | nullRecipient's gender. Must be one of: MALEFEMALEOTHERNOTSETlastnamestring | nullLast name of recipient. Size must be between 0 and 255.postOfficeBoxstring | nullNumber of post office box. Size must be between 0 and 255.preferredDocumentDeliverystringDefaults to NONEDefines the preferred way of delivering documents to this customer. Only used for Addresses of Type INVOICE. When set to EMAIL and addressType is INVOICE, the field email must be filled. Must be one of: EMAILLETTERNONEpropertiesarray of objects | nullArray of properties assigned to the specific address.propertiesADD object | nullstatestring | nullState. Size must be between 0 and 255.stateCodestring | nullState code. ISO 3166-2 subdivision code. Size must be between 0 and 255.streetstring | nullName of street. Size must be between 0 and 255.streetNostring | nullStreet Number. Size must be between 0 and 255.taxNumberstring | nullThe taxNumber is the local country tax number given to a legal entity by their tax authority such as the German Steuernummer or Italian Codice Fiscale. Size must be between 0 and 32.validationStatusstring | nullStatus of address validation if required by configured tax provider. Must be one of: TAXABLENON_TAXABLEVALIDATION_PENDINGVALIDATION_NOT_REQUIREDNOT_VALIDATEDVALIDATION_FAILEDvatIdstring | nullAlso known as VAT identification number (VATIN). An identifier used by countries for Value Added Tax purposes to identify legal entities, especially in the EU. Size must be between 0 and 20.zipstring | nullPostcode. Size must be between 0 and 10.ADD objectcontractorReferenceIdentstring | nullContractor (reference) id which can be used for example as customer support ident by third parties' system. Size must be between 0 and 255.contractorReferenceTypestring | nullAdditional type that can be used to distinguish contractor reference ident, e.g. DEALER_ID or CUSTOMER_ID. Size must be between 0 and 255.customerTypestring | nullType of the customer. Must be one of: B2BB2CAFFILIATEDdebtorAccountNumberint64 | nullCan be either set at customer creation, in which case the associated debtor booking account will receive the provided number, or set by the nitrobox system automatically.dunningobject | nullThe customer dunning configuration.dunning object | nullidentstringrequiredlength between 1 and 100Unique external reference. Must have size between 1 and 100 and match with the regular expression '[a-zA-Z0-9_.~-]{1,100}'.languagestring | nullThe language of the customer. Should be in ISO 639-1 ('de') format and if given must match to the used Business Segment.propertiesarray of objects | nullSet of properties assigned to the specific customer.propertiesADD object | nulltaxClassificationsarray of objects | nullUpdates a tax classification of a customer with a validity period.taxClassificationsADD object | nulltenantIdint64 | nullIs set by the Nitrobox system. Any values entered for GET, POST and PUT requests will be overwritten.Responses 201The request has been fulfilled, resulting in the creation of a new resource. 4XXerror response for all http error codes in range 4XX 5XXerror response for all http error codes in range 5XXUpdated 26 days ago